PGTCLSH(1)

NAME
pgtclsh - PostgreSQL Tcl shell client

SYNOPSIS

pgtclsh [ filename [ argument... ] ]

DESCRIPTION

pgtclsh is a Tcl shell interface extended with PostgreSQL database access functions. (Essentially, it is tclsh with libpgtcl loaded.) Like with the regular Tcl shell, the first command line argument is a script file, any remaining arguments are passed to the script. If no script file is named, the shell is interactive.

A Tcl shell with Tk and PostgreSQL functions is available as pgtksh(1).

SEE ALSO
pgtksh(1), [XRef to PGTCL] (description of libpgtcl) , tclsh(1)